package com.zd.laboratory.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.zd.common.core.web.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 apk_machineconfig
 *
 * @author zd
 * @date 2021-12-09
 */
@ApiModel("【请填写功能名称】")
public class ApkMachineconfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @ApiModelProperty(value = "${comment}")
    private Long id;

    /** 一体机设备编码 */
    @Excel(name = "一体机设备编码")
    @ApiModelProperty(value = "一体机设备编码")
    private String hardwareNum;

    /** 服务器域名地址 */
    @Excel(name = "服务器域名地址")
    @ApiModelProperty(value = "服务器域名地址")
    private String baseUrl;

    /** 服务器ip地址 */
    @Excel(name = "服务器ip地址")
    @ApiModelProperty(value = "服务器ip地址")
    private String signinBaseUrl;

    /** mqtt服务地址 */
    @Excel(name = "mqtt服务地址")
    @ApiModelProperty(value = "mqtt服务地址")
    private String mqttUrl;

    /** mqtt账户 */
    @Excel(name = "mqtt账户")
    @ApiModelProperty(value = "mqtt账户")
    private String mqttName;

    /** mqtt密码 */
    @Excel(name = "mqtt密码")
    @ApiModelProperty(value = "mqtt密码")
    private String mqttPwd;


    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setHardwareNum(String hardwareNum)
    {
        this.hardwareNum = hardwareNum;
    }

    public String getHardwareNum()
    {
        return hardwareNum;
    }
    public void setBaseUrl(String baseUrl)
    {
        this.baseUrl = baseUrl;
    }

    public String getBaseUrl()
    {
        return baseUrl;
    }
    public void setSigninBaseUrl(String signinBaseUrl)
    {
        this.signinBaseUrl = signinBaseUrl;
    }

    public String getSigninBaseUrl()
    {
        return signinBaseUrl;
    }
    public void setMqttUrl(String mqttUrl)
    {
        this.mqttUrl = mqttUrl;
    }

    public String getMqttUrl()
    {
        return mqttUrl;
    }
    public void setMqttName(String mqttName)
    {
        this.mqttName = mqttName;
    }

    public String getMqttName()
    {
        return mqttName;
    }
    public void setMqttPwd(String mqttPwd)
    {
        this.mqttPwd = mqttPwd;
    }

    public String getMqttPwd()
    {
        return mqttPwd;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("hardwareNum", getHardwareNum())
            .append("baseUrl", getBaseUrl())
            .append("signinBaseUrl", getSigninBaseUrl())
            .append("mqttUrl", getMqttUrl())
            .append("mqttName", getMqttName())
            .append("mqttPwd", getMqttPwd())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
